Subject: [TLS] Re: draft-connolly-tls-mlkem-key-agreement
From: Jay Daley <[email-masked]>
To: "D. J. Bernstein" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 13 Dec 2024 09:43:39 +1300
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

Hi Daniel

> On 13 Dec 2024, at 06:28, D. J. Bernstein <[email-masked]> wrote:
> 
> RFC 9680 coauthor writes:
>> If, on the other hand, your concern is that there has been a failure
>> of IETF processes that has created an antitrust risk, then the
>> appropriate course of action is to follow the appropriate IETF process
>> for addressing that.
> 
> RFC 9680 says that it's "generally inappropriate" to discuss "market
> opportunities for specific companies". What's the IETF process for
> addressing violations of RFC 9680?

RFC 9680 is not a policy but an informational document, including information on an escalation path for antitrust concerns, and so there is no concept of “violations of RFC 9680”.  RFC 9680 carefully says “generally inappropriate” for the topics to avoid because there is a vast grey area here.  The decision on whether or not any specific action is inappropriate rests with the IETF community through its structure and processes.  

The role of IETF Counsel is to provide advice to IETF leadership to support their formal decision making role as set out in these processes, but neither they nor I have any powers beyond that.  I took your note to me as invoking the escalation path that RFC 9680 provides information on and consulted with counsel and the response is, as previously conveyed, that your concern should be addressed through the standards process.

I believe you will be getting an email in due course from the WG chairs that explains that further and addresses the rest of your points.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]